
# phase d'installation pralable (renommer le dossier sqlitexx en fonction du systme)
mydir = File.expand_path( File.dirname(__FILE__) )  # chemin de ce fichier ruby

if (!File.exists?(File.join( mydir, "lib/sqlite3" )))

  if (RUBY_PLATFORM.include?('darwin'))
    if File.exists?(File.join( mydir, "lib/sqlite3macOs" ))
       File.rename(File.join( mydir, "lib/sqlite3macOs" ),File.join( mydir, "lib/sqlite3" ))
    end
  else
    if File.exists?(File.join( mydir, "lib/sqlite3pc" ))
       File.rename(File.join( mydir, "lib/sqlite3pc" ),File.join( mydir, "lib/sqlite3" ))
    end
  end
end



require 'lib/initpath'
require 'sqlite3'

# installation : rcuprer le gem sqlite3 :
# http://rubyforge.org/frs/?group_id=254
# http://www.skorks.com/2009/08/installing-and-using-sqlite-with-ruby-on-windows/
# rcuprer sqlite3.dll (cf http://www.skorks.com/2009/08/installing-and-using-sqlite-with-ruby-on-windows/) et mettre ds le mme 
# rpertoire de sketchup.exe
# mettre les modules "lib" requis par sqlite.rb dans un rpertoire ddi
# le fichier lib/initpath.rb pemet d'ajouter lib/ au chemin d'accs des modules ruby chargs par require

# mac os X 10.5 : install rubyosx.rubygorge.org
# rcup du contenu du dossier /usr/local/lib/ruby/gems/sqlite3-ruby-1.2.5/lib (fichier sqlite3_api.bundle,sqlite3.rb + dossier sqlite3/) 
# pour les mettre dans 
# /Users/xxx/Library/Application Support/Google Sketchup 8/Sketchup/plugins/lib
Sketchup.send_action "showRubyPanel:"


UI.menu("PlugIns").add_item("testsql") {
  # associer la fonction principale de lancement de l'interface web
  testsql
}

def testsql

puts "demarre"

   dbname = File.join( File.expand_path( File.dirname(__FILE__) ), 'new.sqlite' )
   database = SQLite3::Database.new( dbname )
   database.results_as_hash = true
#   
#   #database.execute( "create table sample_table (id INTEGER PRIMARY KEY, sample_text TEXT, sample_number NUMERIC);" )
#    
#   #database.execute( "insert into sample_table (sample_text,sample_number) values ('Sample Text1', 123)")
#   #database.execute( "insert into sample_table (sample_text,sample_number) values ('Sample Text2', 456)")
#    
   database.execute( "SELECT sample_text,sample_number FROM sample_table;" ) do |ligne|
    puts ligne['sample_text'].to_s  + " " + ligne['sample_number'].to_s
   end
  

end
